Debian Bug report logs - #288338
RM: libhttpfetcher -- RoQA; unmaintained upstream, orphaned for years, few users

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Mon, 3 Jan 2005 03:33:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vikram Aggarwal <totoro@debian.org>, <wnpp@debian.org>:
Bug#288338; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Vikram Aggarwal <totoro@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libhttpfetcher -- A small library that downloads files via HTTP.
Date: Mon, 03 Jan 2005 04:22:23 +0100
Package: wnpp
Severity: normal

The current maintainer of libhttpfetcher, Vikram Aggarwal <totoro@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libhttpfetcher
Binary: libhttpfetcher1, libhttpfetcher-dev
Version: 1.0.1-1.1
Priority: optional
Section: libs
Maintainer: Vikram Aggarwal <totoro@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Architecture: any
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/libh/libhttpfetcher
Files: be80ed71c3bb36f029626495cc68cfbf 660 libhttpfetcher_1.0.1-1.1.dsc
 3fd1b6c1cada35279f08bf6874dab98e 173544 libhttpfetcher_1.0.1.orig.tar.gz
 eede366a227fbb9a67a4b70419d97e40 95553 libhttpfetcher_1.0.1-1.1.diff.gz

Package: libhttpfetcher-dev
Priority: optional
Section: libdevel
Installed-Size: 116
Maintainer: Vikram Aggarwal <totoro@debian.org>
Architecture: i386
Source: libhttpfetcher
Version: 1.0.1-1.1
Depends: libhttpfetcher1 (= 1.0.1-1.1), libc6-dev
Filename: pool/main/libh/libhttpfetcher/libhttpfetcher-dev_1.0.1-1.1_i386.deb
Size: 13868
MD5sum: 49e14381768bb9f8363f56e8f54cfc16
Description: A small library that downloads files via HTTP.
 libhttpfetcher is a small library that can download files using the
 HTTP GET method. HTTP Fetcher is meant to be small, fast, and flexible at
 what it does. It's robust, easy to use:  using one function,
 it can download any kind of file via HTTP.  It also offers further
 sophistication, allowing you control over what (if any) User-Agent or
 Referrer you wish to show to the web server.  Which is neat stuff, depending
 on your use (testing and stealth/deception are two that come to mind).

Package: libhttpfetcher1
Priority: optional
Section: libs
Installed-Size: 68
Maintainer: Vikram Aggarwal <totoro@debian.org>
Architecture: i386
Source: libhttpfetcher
Version: 1.0.1-1.1
Depends: libc6 (>= 2.2.4-4)
Filename: pool/main/libh/libhttpfetcher/libhttpfetcher1_1.0.1-1.1_i386.deb
Size: 7168
MD5sum: 9d3953b4f8f5e8fa870fc21aa36f6d96
Description: A small library that downloads files via HTTP.
 libhttpfetcher is a small library that can download files using the
 HTTP GET method. HTTP Fetcher is meant to be small, fast, and flexible at
 what it does. It's robust, easy to use:  using one function,
 it can download any kind of file via HTTP.  It also offers further
 sophistication, allowing you control over what (if any) User-Agent or
 Referrer you wish to show to the web server.  Which is neat stuff, depending
 on your use (testing and stealth/deception are two that come to mind).

Justification: No upload in nearly 3 years, no response to pings



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#288338; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Guilherme de S. Pastore" <gpastore@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 288338@bugs.debian.org (full text, mbox):

From: "Guilherme de S. Pastore" <gpastore@debian.org>
To: 288338@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Requesting removal of libhttpfetcher
Date: Sun, 17 Sep 2006 11:42:51 -0300
retitle 288338 RM: libhttpfetcher -- RoQA; unmaintained upstream, orphaned for years, few users
reassign 288338 ftp.debian.org
kthxbye

Hi,

libhttpfetcher's last (and only) maintainer upload[0] was in January
2002. It's been orphaned for a year and a half, has no reverse
dependencies and very few popcon votes[1]. Last QA upload[2] was over a
year ago and upstream has had no activity at all since July 2001[2],
when they released a bug-fix release for the initial release.

[0] http://packages.qa.debian.org/libh/libhttpfetcher/news/20020112T200734Z.html
[1] http://qa.debian.org/developer.php?popcon=libhttpfetcher
[2] http://packages.qa.debian.org/libh/libhttpfetcher/news/20050629T224716Z.html
[3] http://cs.nmu.edu/~lhanson/http_fetcher/ChangeLog

--
Guilherme de S. Pastore
fatalerror




Changed Bug title. Request was from "Guilherme de S. Pastore" <gpastore@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from "Guilherme de S. Pastore" <gpastore@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 288338-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 288338-close@bugs.debian.org
Cc: libhttpfetcher@packages.debian.org, libhttpfetcher@packages.qa.debian.org
Subject: Bug#288338: fixed
Date: Sun, 24 Sep 2006 01:28:36 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libhttpfetcher |    1.1.0-1 | source
libhttpfetcher-dev |    1.1.0-1 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libhttpfetcher1 |    1.1.0-1 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 288338@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 01:47:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:04:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.